org.firebirdsql.jdbc.parser

## Class JaybirdSqlParser.FullIdentifierContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.firebirdsql.jdbc.parser.JaybirdSqlParser.FullIdentifierContext

All Implemented Interfaces:
  org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree

Enclosing class:
  JaybirdSqlParser

    public static class JaybirdSqlParser.FullIdentifierContext
    extends org.antlr.v4.runtime.ParserRuleContext

### Field Summary

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

### Constructor Summary

Constructors
Constructor and Description
`FullIdentifierContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void` `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`int` `getRuleIndex()`
`java.util.List<JaybirdSqlParser.SimpleIdentifierContext>` `simpleIdentifier()`
`JaybirdSqlParser.SimpleIdentifierContext` `simpleIdentifier(int i)`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FullIdentifierContext

    public FullIdentifierContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                 int invokingState)

### Method Detail

#### simpleIdentifier

    public java.util.List<JaybirdSqlParser.SimpleIdentifierContext> simpleIdentifier()

#### simpleIdentifier

    public JaybirdSqlParser.SimpleIdentifierContext simpleIdentifier(int i)

#### getRuleIndex

    public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

#### enterRule

    public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

#### exitRule

    public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`